All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.strategies.remotefile2
Class BaseComboStrategy

    com.sas.actionprovider.strategies.remotefile2.BaseComboStrategy

All Implemented Interfaces:
  ActionStatusKeysInterface, ActionStrategyInterface

Direct Known Subclasses:
  DisplaySearchResultsStrategy, OpenFolderStrategyCombo

    public abstract class BaseComboStrategy

Field Summary
`static java.lang.String` | `MODEL`
`static java.lang.String` | `MODEL_COLUMN`

Fields inherited from class com.sas.actionprovider.strategies.remotefile2.BaseRemoteFileStrategy
`SORT_MODEL, VIEWER`

Fields inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`TEMPLATE_DELIMITER`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Constructor Summary
`BaseComboStrategy()` Default constructor.
`BaseComboStrategy(boolean swing, RemoteFileActionUtil util)` Constructor for specifying type ( swing/http ) of strategy object.

Method Summary
`protected void` | `initialize()` Initialize this strategy object.

Methods inherited from class com.sas.actionprovider.strategies.remotefile2.BaseRemoteFileStrategy
`addDynamicValueInfo, initializeActionAttributes, setUtilObject`

Methods inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`addDynamicValueInfo, addDynamicValueInfo, getActionStatus, getCustomAttributeValue, getDynamicValue, getUtilObject, initializeAction, isSwing, setActionAttributes, setLocaleDependentDefaultAttributes, setSwing`

Field Detail

### MODEL

    public static final java.lang.String MODEL

See Also:
  Constant Field Values

### MODEL_COLUMN

    public static final java.lang.String MODEL_COLUMN

See Also:
  Constant Field Values

Constructor Detail

### BaseComboStrategy

    public BaseComboStrategy()

  Default constructor. Calls the other constructor for specifying strategy type.

### BaseComboStrategy

    public BaseComboStrategy(boolean swing,
                             RemoteFileActionUtil util)

  Constructor for specifying type ( swing/http ) of strategy object.

  Parameters:
    `swing` - boolean indicating whether the strategy will be used in a swing environment. If false, the strategy is http type.

Method Detail

### initialize

    protected void initialize()

  Initialize this strategy object.

  Via the `BaseRemoteFileStrategy.addDynamicValueInfo(java.lang.String, java.lang.String, java.lang.String)` method, this method registers the information for dynamic values that are available in all OLAP areas:

  - `com.sas.actionprovider.strategies.remotefile2.RemoteFileDynamicValueKeys#MODEL`
  - `com.sas.actionprovider.strategies.remotefile2.RemoteFileDynamicValueKeys#PATH`

  Overrides:
    `initialize` in class `BaseRemoteFileStrategy`
  See Also:
    `#setReturnStatus`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.